This page was not yet optimized for use on mobile devices.
i.MX8 DXL V2X
Certificate details
| Certificate ID | #4839 |
|---|---|
| Status | active |
| Validation dates | 16.10.2024 |
| Sunset date | 15-10-2029 |
| Standard | FIPS 140-3 |
| Security level | 3 |
| Type | Hardware |
| Embodiment | Single Chip |
| Caveat | When utilizing a Trusted Channel as specified in the Security Policy. |
| Exceptions |
|
| Description | N/A |
| Version (Hardware) | P/N: SECO Block: DA_SSL_iMX8DXL_SCU_SUBSYS_LN28FDSOI_1.56; V2X Block: DA_SSL_iMX8DXL_DB_SUBSYS_CMOS28FDSOI_1.77 |
| Version (Firmware) | SECO ROM: mem_I.MX8_s28roml_w24576x032m32B2_1Tlms_m0_1.7; V2XP ROM: mem_I.MX8_s28roml_w32768x032m32B2_1Tlm_cm0_rom_1.18; V2XS ROM: mem_I.MX8_s28roml_w45056x032m32B4_1Tlm_empty_1.10; SECO FW 5.9.0; V2X FW 1.2.1 |
| Tested configurations |
|
| Vendor | NXP Semiconductors, Inc. http://www.nxp.com |
| Lab | Acumen Security |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES-128, CAST, HMAC, CMAC, CBC-MACAsymmetric Algorithms
ECDHE, ECDSA, ECC, DH, Diffie-HellmanSchemes
MAC, Key Agreement, Key agreement, AEADProtocols
TLS, TLS v1.2, TLSv1.2, TLS 1.2Randomness
TRNG, PRNG, DRBGElliptic Curves
P-256, P-384, P-521, curve P-256Block cipher modes
ECB, CBC, CTR, GCM, CCMTLS cipher suites
TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_AES_256_CCM, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384Trusted Execution Environments
TrustZone, PSP, SSCVendor
NXP Semiconductors, NXPSecurity level
Level 3Side-channel analysis
side channel, fault injection, Fault injectionStandards
FIPS 140-3, FIPS 180-4, FIPS 186-4, FIPS 197, FIPS 198-1, FIPS 140, SP 800-107, SP 800-108, SP 800-131A, SP 800-133, SP 800-135, SP 800-38A, SP 800-38B, SP 800-38C, SP 800-38D, SP 800-38F, SP 800-56A, SP 800-56C, SP 800-57, SP 800-90A, SP 800-90B, SP 800-140, SP 800-140A, SP 800-140B, SP 800-140C, SP 800-140D, SP 800-140E, SP 800-140F, PKCS 1, RFC5246, RFC5289, RFC5639, RFC7627, ISO/IEC 24759, ISO/IEC 19790, ISO/IEC 24579, ISO/IEC 19790:2012, ISO/IEC 24759:2017Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4839,
"dgst": "e9f8a8c6499c33f8",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#A2954",
"HMAC-SHA2-224A2961",
"#A2966",
"#A2955",
"Counter DRBGA2970",
"SHA2-512A2960",
"#A2962",
"#A2959",
"ECDSA SigGen (FIPS186-4)A2974",
"#A2973",
"#A2963",
"AES-GCMA2975",
"ECDSA KeyGen (FIPS186-4)A2974",
"#A2974",
"SHA2-256A2960",
"#A2969",
"ECDSA SigVer (FIPS186-4)A2974",
"SHA2-224A2960",
"AES-CBCA2957",
"#A2953",
"AES-ECBA2957",
"SHA2-384A2960",
"#A2965",
"#A2970",
"#A2975",
"#A2956",
"#A2968",
"KDA OneStep Sp800-56Cr1A2976",
"#A2972",
"#A2957",
"HMAC-SHA2-384A2961",
"KDF SP800-108A2966",
"#A2964",
"AES-CCMA2968",
"#A2977",
"#A2976",
"KAS-ECC-SSC Sp800-56Ar3A2977",
"#A2967",
"#A2961",
"Hash DRBGA2955",
"#A2960",
"AES-CMACA2958",
"HMAC-SHA2-512A2961",
"RSA SigVer (FIPS186-4)A2967",
"#A2958",
"HMAC-SHA2-256A2961",
"KDF TLSA2973",
"TLS v1.2 KDF RFC7627A2973"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"1.77",
"1.10",
"5.9.0",
"1.2.1",
"1.18",
"1.7",
"1.56"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 33,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 12
},
"ECDH": {
"ECDHE": 5
},
"ECDSA": {
"ECDSA": 42
}
},
"FF": {
"DH": {
"DH": 9,
"Diffie-Hellman": 1
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"CCM": {
"CCM": 15
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 9
},
"GCM": {
"GCM": 33
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 42,
"TLS 1.2": 1,
"TLS v1.2": 13,
"TLSv1.2": 2
}
}
},
"crypto_scheme": {
"AEAD": {
"AEAD": 1
},
"KA": {
"Key Agreement": 4,
"Key agreement": 10
},
"MAC": {
"MAC": 6
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 62,
"P-384": 68,
"P-521": 16,
"curve P-256": 2
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"# A2953": 2,
"# A2954": 1,
"# A2955": 1,
"# A2957": 1,
"# A2958": 1,
"# A2961": 1,
"# A2963": 4,
"# A2964": 4,
"# A2965": 1,
"# A2966": 1,
"# A2969": 2,
"# A2972": 11,
"# A2973": 3,
"AES CMAC 128": 2,
"AES GCM 128": 2,
"AES [197": 3,
"AES key (128": 2,
"AES-128": 8,
"AES-256": 6,
"HMAC 5": 2,
"HMAC [198": 1,
"PKCS 1": 2,
"SHA2-224": 6,
"SHA2-256": 43,
"SHA2-384": 37,
"SHA2-512": 30,
"SHA2512": 1,
"SHS [180": 6
}
},
"fips_security_level": {
"Level": {
"Level 3": 3
}
},
"hash_function": {},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 43,
"PRNG": 1
},
"TRNG": {
"TRNG": 3
}
},
"side_channel_analysis": {
"FI": {
"Fault injection": 1,
"fault injection": 2
},
"SCA": {
"side channel": 3
}
},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-3": 77,
"FIPS 180-4": 1,
"FIPS 186-4": 2,
"FIPS 197": 1,
"FIPS 198-1": 1
},
"ISO": {
"ISO/IEC 19790": 4,
"ISO/IEC 19790:2012": 2,
"ISO/IEC 24579": 2,
"ISO/IEC 24759": 14,
"ISO/IEC 24759:2017": 1
},
"NIST": {
"SP 800-107": 1,
"SP 800-108": 1,
"SP 800-131A": 1,
"SP 800-133": 1,
"SP 800-135": 1,
"SP 800-140": 1,
"SP 800-140A": 1,
"SP 800-140B": 1,
"SP 800-140C": 1,
"SP 800-140D": 1,
"SP 800-140E": 1,
"SP 800-140F": 1,
"SP 800-38A": 1,
"SP 800-38B": 1,
"SP 800-38C": 1,
"SP 800-38D": 3,
"SP 800-38F": 1,
"SP 800-56A": 1,
"SP 800-56C": 1,
"SP 800-57": 1,
"SP 800-90A": 1,
"SP 800-90B": 1
},
"PKCS": {
"PKCS 1": 1
},
"RFC": {
"RFC5246": 3,
"RFC5289": 1,
"RFC5639": 1,
"RFC7627": 8
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 77,
"AES-128": 8,
"AES-256": 6
},
"CAST": {
"CAST": 20
}
},
"constructions": {
"MAC": {
"CBC-MAC": 1,
"CMAC": 13,
"HMAC": 11
}
}
},
"tee_name": {
"AMD": {
"PSP": 6
},
"ARM": {
"TrustZone": 1
},
"IBM": {
"SSC": 1
}
},
"tls_cipher_suite": {
"TLS": {
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CCM": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {
"NXP": {
"NXP": 10,
"NXP Semiconductors": 93
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC-SHA2-224A2961",
"Counter DRBGA2970",
"SHA2-512A2960",
"ECDSA SigGen (FIPS186-4)A2974",
"AES-GCMA2975",
"ECDSA KeyGen (FIPS186-4)A2974",
"SHA2-256A2960",
"ECDSA SigVer (FIPS186-4)A2974",
"SHA2-224A2960",
"AES-CBCA2957",
"AES-ECBA2957",
"SHA2-384A2960",
"KDA OneStep Sp800-56Cr1A2976",
"HMAC-SHA2-384A2961",
"KDF SP800-108A2966",
"AES-CCMA2968",
"KAS-ECC-SSC Sp800-56Ar3A2977",
"Hash DRBGA2955",
"AES-CMACA2958",
"HMAC-SHA2-512A2961",
"RSA SigVer (FIPS186-4)A2967",
"HMAC-SHA2-256A2961",
"KDF TLSA2973",
"TLS v1.2 KDF RFC7627A2973"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A2954",
"#A2966",
"#A2955",
"#A2962",
"#A2973",
"#A2963",
"#A2974",
"#A2969",
"#A2953",
"#A2965",
"#A2970",
"#A2975",
"#A2956",
"#A2968",
"#A2972",
"#A2957",
"#A2964",
"#A2977",
"#A2976",
"#A2967",
"#A2961",
"#A2960",
"#A2958",
"#A2959"
]
},
"policy_metadata": {
"/Author": "Steve Weymann",
"/CreationDate": "D:20241008152553+05\u002730\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20241008152553+05\u002730\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 841829,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140F.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140Cr1.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.197.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140E.pdf",
"https://csrc.nist.gov/publications/detail/fips/198/1/final",
"https://keypair.us/",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140Dr1.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90B.pdf",
"https://csrc.nist.gov/publications/detail/sp/800-38d/final",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar3.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38b.pdf",
"https://tools.ietf.org/html/rfc7627",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://datatracker.ietf.org/doc/html/rfc5289",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-107r1.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140B.pdf",
"https://www.nxp.com/",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140A.pdfhttps:/nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140A.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-108r1.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr2.pdf",
"https://tools.ietf.org/html/rfc5246",
"https://tools.ietf.org/html/rfc5639",
"https://csrc.nist.gov/CSRC/media/Projects/cryptographic-module-validation-program/documents/fips%20140-3/FIPS%20140-3%20IG.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.140-3.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 31
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "52f6e50d85937961ffeb329a0106cf3ac99da70bff12c2d8423422c1ca8f240c",
"source_hash": "4d67e1e1e563fc65aa8d771d9351ae5b5aae0d47ae0bc0a4c979b81913fe280f",
"txt_hash": "47f189fa97d0c30e0a3882b6ae82825454359aae1c44df3af8cc3346dc52bc16"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When utilizing a Trusted Channel as specified in the Security Policy.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/October 2024_041124_0733 (1).pdf",
"date_sunset": "2029-10-15",
"description": "N/A",
"embodiment": "Single Chip",
"exceptions": [
"Operational environment: N/A"
],
"fw_versions": "SECO ROM: mem_I.MX8_s28roml_w24576x032m32B2_1Tlms_m0_1.7; V2XP ROM: mem_I.MX8_s28roml_w32768x032m32B2_1Tlm_cm0_rom_1.18; V2XS ROM: mem_I.MX8_s28roml_w45056x032m32B4_1Tlm_empty_1.10; SECO FW 5.9.0; V2X FW 1.2.1",
"historical_reason": null,
"hw_versions": "P/N: SECO Block: DA_SSL_iMX8DXL_SCU_SUBSYS_LN28FDSOI_1.56; V2X Block: DA_SSL_iMX8DXL_DB_SUBSYS_CMOS28FDSOI_1.77",
"level": 3,
"mentioned_certs": {},
"module_name": "i.MX8 DXL V2X",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": null,
"tested_conf": [
"[SOC_iMX8DualXL_28FDSOI_1.75 (P/Ns MIMX8SL2AVNFZAB, PIMX8SL2AVNFZAB, MIMX8DL2AVNFZAB, PIMX8DL2AVNFZAB)]"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-10-16",
"lab": "Acumen Security",
"validation_type": "Initial"
}
],
"vendor": "NXP Semiconductors, Inc.",
"vendor_url": "http://www.nxp.com"
}
}